#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 splitmix
version:              0.1.0.5
visibility:           public
id:                   splitmix-0.1.0.5-7ypZMcx5USH9iKyki55eRS
key:                  splitmix-0.1.0.5-7ypZMcx5USH9iKyki55eRS
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Fast Splittable PRNG
description:
    Pure Haskell implementation of SplitMix described in

    Guy L. Steele, Jr., Doug Lea, and Christine H. Flood. 2014.
    Fast splittable pseudorandom number generators. In Proceedings
    of the 2014 ACM International Conference on Object Oriented
    Programming Systems Languages & Applications (OOPSLA '\''14). ACM,
    New York, NY, USA, 453-472. DOI:
    <https://doi.org/10.1145/2660193.2660195>

    The paper describes a new algorithm /SplitMix/ for /splittable/
    pseudorandom number generator that is quite fast: 9 64 bit arithmetic/logical
    operations per 64 bits generated.

    /SplitMix/ is tested with two standard statistical test suites (DieHarder and
    TestU01, this implementation only using the former) and it appears to be
    adequate for "everyday" use, such as Monte Carlo algorithms and randomized
    data structures where speed is important.

    In particular, it __should not be used for cryptographic or security applications__,
    because generated sequences of pseudorandom values are too predictable
    (the mixing functions are easily inverted, and two successive outputs
    suffice to reconstruct the internal state).

category:             System, Random
abi:                  0ab876f2c274435aa2f5368074cf96ec
exposed:              True
exposed-modules:      System.Random.SplitMix System.Random.SplitMix32
hidden-modules:       Data.Bits.Compat System.Random.SplitMix.Init
import-dirs:          /usr/lib/ghc-9.8.2/site-local/splitmix-0.1.0.5
library-dirs:         /usr/lib/ghc-9.8.2/site-local/splitmix-0.1.0.5
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/splitmix-0.1.0.5
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/splitmix-0.1.0.5
hs-libraries:         HSsplitmix-0.1.0.5-7ypZMcx5USH9iKyki55eRS
depends:              base-4.19.1.0-inplace deepseq-1.5.0.0-inplace
haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/splitmix-0.1.0.5/html/splitmix.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/splitmix-0.1.0.5/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

